`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 2024/12/12 10:11:33
// Design Name: 
// Module Name: led_chasing_tb
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////


module led_chasing_tb();
    reg clk;
    reg reset;
    reg speed_ctrl;
    reg direction_ctrl;
    wire [15:0] led;
    led_chasing dut(
        .clk(clk),
        .reset(reset),
        .speed_ctrl(speed_ctrl),
        .direction_ctrl(direction_ctrl),
        .led(led)
    );
    initial begin
        clk = 0;
        forever #1 clk = ~clk;
    end
    initial begin
        reset = 1;
        speed_ctrl = 0;
        direction_ctrl = 0;
        #100 reset = 0;
        #1000;
        speed_ctrl = 1;
        #1000;
        direction_ctrl = 1;
        #1000;
        speed_ctrl = 0;
        #1000;
        $finish;
    end
endmodule
